import { Injectable, Inject } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';

import { Observable } from 'rxjs';
import { map, takeUntil } from 'rxjs/operators';
import { BankAccounts } from '../model/bank-accounts.model';
import { API_BASE_URL } from 'src/modules/common/type/injection-token.type';
import { Page } from 'src/modules/common/data/model/page';
import { FormArray } from '@angular/forms';

@Injectable({
  providedIn: 'root'
})
export class BankAccountsService {
  constructor(
    @Inject(API_BASE_URL) private apiBaseUrl: string,
    private httpClient: HttpClient
  ) {}

  public getBankInfos(): Observable<Page<BankAccounts>> {
    return this.httpClient.get<Page<BankAccounts>>(
      `${this.apiBaseUrl}/bank_info`,
      {}
    );
  }

  public getAllAsFormArray(): Observable<BankAccounts[]> {
    return this.httpClient.get<BankAccounts[]>(
      `${this.apiBaseUrl}/bank_info/test`,
      {}
    );
  }
  // public getUser(id: number): Observable<User> {
  //   return this.httpClient.get<User>(`${this.apiBaseUrl}/users/${id}`, {});
  // }
}
